> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update name of bulk send batch

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}
Content-Type: application/json

Updates the name of a bulk send batch.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/bulkenvelopes/bulksend/updatebulksendbatchstatus

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `bulkSendBatchId` (string, required) — The batch ID.

### Body (application/json)

This endpoint expects a bulkSendBatchRequest.

- `batchName` (string, optional) — The new name of the bulk send batch. This property is required. The maximum length of the string is 500 characters.

## Response

### 200

Successful response.

- `action` (string, optional)
- `actionStatus` (string, optional)
- `batchId` (string, optional) — The batch ID.
- `batchName` (string, optional) — The batch name.
- `batchSize` (string, optional) — The number of of bulk envelopes submitted in the current batch
- `bulkErrors` (list of bulkSendErrorStatus, optional) — An array of error statuses.
- `envelopeIdOrTemplateId` (string, optional) — The ID of the draft envelope or template that was used to create the batch.
- `envelopesInfo` (bulkSendEnvelopesInfo, optional)
- `envelopesUri` (string, optional) — The URI to get all envelopes sent in the batch.
- `failed` (string, optional) — The number of envelopes that failed to process or send.
- `mailingListId` (string, optional) — The ID of the mailing list used to create the batch.
- `mailingListName` (string, optional)
- `ownerUserId` (string, optional)
- `queued` (string, optional) — The number of envelopes waiting in pending queue
- `resendsRemaining` (string, optional)
- `senderUserId` (string, optional) — The ID of the sender.
- `sent` (string, optional) — The number of envelopes sent successfully.
- `submittedDate` (string, optional) — The timestamp of when the batch was submitted in ISO 8601 format.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### bulkSendErrorStatus

A single bulk send error report.

- `created` (string, optional) — The timestamp of when the error occurred in ISO 8601 format.
- `envelopeId` (string, optional) — The envelope ID of the envelope status that failed to post.
- `errorMessage` (string, optional) — The error message generated during processing, if any.
- `recipientEmails` (list of string, optional) — An array of email addresses for the failed bulk envelope. Recipient email/info of the failed bulk envelope.

### bulkSendEnvelopesInfo

- `authoritativeCopy` (string, optional) — When **true,** marks all of the documents in the envelope as authoritative copies. **Note:** You can override this value for a specific document. For example, you can set the `authoritativeCopy` property to **true** at the envelope level, but turn it off for a single document by setting the `authoritativeCopy` property for the document to **false.**
- `completed` (string, optional)
- `correct` (string, optional)
- `created` (string, optional) — The UTC DateTime when the workspace user authorization was created.
- `declined` (string, optional)
- `deleted` (string, optional)
- `delivered` (string, optional)
- `digitalSignaturesPending` (string, optional)
- `sent` (string, optional) — The number of entries with a status of `sent`.
- `signed` (string, optional)
- `timedOut` (string, optional)
- `transferCompleted` (string, optional)
- `voided` (string, optional)

## Examples

**Request**

```json
{
  "batchName": "sample string 1"
}
```

**Response**

```json
{
  "action": "sample string 1",
  "actionStatus": "sample string 2",
  "batchId": "sample string 3",
  "batchName": "sample string 4",
  "batchSize": "sample string 5",
  "bulkErrors": [
    {
      "created": "sample string 1",
      "envelopeId": "sample string 2",
      "errorMessage": "sample string 3",
      "recipientEmails": [
        "sample string 1"
      ]
    }
  ],
  "envelopeIdOrTemplateId": "sample string 6",
  "envelopesInfo": {
    "authoritativeCopy": "sample string 1",
    "completed": "sample string 2",
    "correct": "sample string 3",
    "created": "sample string 4",
    "declined": "sample string 5",
    "deleted": "sample string 6",
    "delivered": "sample string 7",
    "digitalSignaturesPending": "sample string 8",
    "sent": "sample string 9",
    "signed": "sample string 10",
    "timedOut": "sample string 11",
    "transferCompleted": "sample string 12",
    "voided": "sample string 13"
  },
  "envelopesUri": "sample string 7",
  "failed": "sample string 8",
  "mailingListId": "sample string 9",
  "mailingListName": "sample string 10",
  "ownerUserId": "sample string 11",
  "queued": "sample string 12",
  "resendsRemaining": "sample string 13",
  "senderUserId": "sample string 14",
  "sent": "sample string 15",
  "submittedDate": "sample string 16"
}
```